# class Gem::Commands::InfoCommand

### Public Class Methods

new() click to toggle source
Calls superclass method `Gem::Commands::QueryCommand::new`

    # File lib/rubygems/commands/info_command.rb, line 7
    def initialize
      super "info", "Show information for the given gem"

      remove_option('--name-matches')
      remove_option('-d')

      defaults[:details] = true
      defaults[:exact] = true
    end

### Public Instance Methods

defaults_str() click to toggle source

    # File lib/rubygems/commands/info_command.rb, line 30
    def defaults_str
      "--local"
    end